> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Slack Channel



## OpenAPI

````yaml patch /v1/orchestrate/agents/{agent_id}/environments/{environment_id}/channels/slack/{channel_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents/{agent_id}/environments/{environment_id}/channels/slack/{channel_id}:
    patch:
      tags:
        - Slack Channel
      summary: Update Slack Channel
      operationId: >-
        update_slack_channel_v1_orchestrate_agents__agent_id__environments__environment_id__channels_slack__channel_id__patch
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
        - name: environment_id
          in: path
          required: true
          schema:
            type: string
            title: Environment Id
        - name: channel_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Channel Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSlackChannel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSlackChannel:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        channel_app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel App Id
        channel:
          type: string
          const: byo_slack
          title: Channel
          default: byo_slack
        created_on:
          anyOf:
            - type: string
            - type: 'null'
          title: Created On
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
        description:
          anyOf:
            - type: string
              maxLength: 1024
            - type: 'null'
          title: Description
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        signing_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Signing Secret
        teams:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlackTeam'
              type: array
            - type: 'null'
          title: Teams
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      title: UpdateSlackChannel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlackTeam:
      properties:
        id:
          type: string
          title: Id
        bot_access_token:
          type: string
          title: Bot Access Token
      type: object
      required:
        - id
        - bot_access_token
      title: SlackTeam
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````